/*
 *
 *  Copyright (C) 1999, Institute for MicroTherapy
 *
 *  This software and supporting documentation were developed by
 *
 *    University of Witten/Herdecke
 *    Department of Radiology and MicroTherapy
 *    Institute for MicroTherapy
 *    Medical computer science
 *    
 *    Universitaetsstrasse 142
 *    44799 Bochum, Germany
 *    
 *    http://www.microtherapy.de/go/cs
 *    mailto:computer.science@microtherapy.de
 *
 *  THIS SOFTWARE IS MADE AVAILABLE,  AS IS,  AND THE INSTITUTE MAKES  NO 
 *  WARRANTY REGARDING THE SOFTWARE, ITS PERFORMANCE, ITS MERCHANTABILITY
 *  OR FITNESS FOR ANY PARTICULAR USE, FREEDOM FROM ANY COMPUTER DISEASES 
 *  OR ITS CONFORMITY TO ANY SPECIFICATION. THE ENTIRE RISK AS TO QUALITY 
 *  AND PERFORMANCE OF THE SOFTWARE IS WITH THE USER.
 *
 *  Author :      $Author: Schroeter $
 *  Last update : $Date$
 *  Revision :    $Revision$
 *  State:        $State$
*/

package J2Ci;

/** 
 * The class <em>jDVPSObjectApplicability</em> represents the C++-enumeration
 * DVPSObjectApplicability.
 *
 * @author 	Andreas Schrter
*/
public class jDVPSObjectApplicability
{
  /** 
   * the object only applies to the current (selected) frame of the current (attached) image
  */
  public static final int DVPSB_currentFrame = 0;
  
  
  /** 
   * the object applies to all frames of the current (attached) image
  */
  public static final int DVPSB_currentImage = 1;
  
  /** 
   * the object applies to all frames of all referenced images
  */
  public static final int DVPSB_allImages = 2;

}

/*
 *  CVS Log
 *  $Log$
 *
*/

