/*
 *
 *  Copyright (C) 1999, Institute for MicroTherapy
 *
 *  This software and supporting documentation were developed by
 *
 *    University of Witten/Herdecke
 *    Department of Radiology and MicroTherapy
 *    Institute for MicroTherapy
 *    Medical computer science
 *    
 *    Universitaetsstrasse 142
 *    44799 Bochum, Germany
 *    
 *    http://www.microtherapy.de/go/cs
 *    mailto:computer.science@microtherapy.de
 *
 *  THIS SOFTWARE IS MADE AVAILABLE,  AS IS,  AND THE INSTITUTE MAKES  NO 
 *  WARRANTY REGARDING THE SOFTWARE, ITS PERFORMANCE, ITS MERCHANTABILITY
 *  OR FITNESS FOR ANY PARTICULAR USE, FREEDOM FROM ANY COMPUTER DISEASES 
 *  OR ITS CONFORMITY TO ANY SPECIFICATION. THE ENTIRE RISK AS TO QUALITY 
 *  AND PERFORMANCE OF THE SOFTWARE IS WITH THE USER.
 *
 *  Author :      $Author: Schroeter $
 *  Last update : $Date: 1999/05/14 09:33:10 $
 *  Revision :    $Revision: 1.1.1.1 $
 *  State:        $State: Exp $
*/

package J2Ci;

/** 
 * The class <em>jE_Condition</em> represents the C++-enumeration
 * E_Condition.
 *
 * @author 	Andreas Schrter
*/
public class jE_Condition
{
    /**
     * Constant; Method was successful.
    */
    public static final int EC_Normal = 0;
    
    /**
     * Constant; Invalid Tag.
    */
    public static final int EC_InvalidTag = 1;
    
    /**
     * Constant; Tag not found.
    */
    public static final int EC_TagNotFound = 2;
    
    /**
     * Constant; Invalid value representation.
    */
    public static final int EC_InvalidVR = 3;
    
    /**
     * Constant; Invalid stream.
    */
    public static final int EC_InvalidStream = 4;
    
    /**
     * Constant; End of stream.
    */
    public static final int EC_EndOfStream = 5;
    
    /**
     * Constant; Corrupted data.
    */
    public static final int EC_CorruptedData = 6;
    
    /**
     * Constant; Illegal call.
    */
    public static final int EC_IllegalCall = 7;
    
    /**
     * Constant; Sequence end.
    */
    public static final int EC_SequEnd = 8;
    
    /**
     * Constant; Doubled tag.
    */
    public static final int EC_DoubledTag = 9;
    
    /**
     * Constant; Stream will notify client.
    */
    public static final int EC_StreamNotifyClient = 10;
    
    /**
     * Constant; Wrong stream mode.
    */
    public static final int EC_WrongStreamMode = 11;
    
    /**
     * Constant; Memory exhausted.
    */
    public static final int EC_MemoryExhausted = 12;
    
    /**
     * Constant; Item end.
    */
    public static final int EC_ItemEnd = 13;
    
    /**
     * Constant; Representation not found.
    */
    public static final int EC_RepresentationNotFound = 14;
    
    /**
     * Constant; Can't change representation.
    */
    public static final int EC_CannotChangeRepresentation = 15;
}

/*
 *  CVS Log
 *  $Log: jE_Condition.java,v $
 *  Revision 1.1.1.1  1999/05/14 09:33:10  Schroeter
 *  initial commit of release 1.0
 *
*/
