/*
 *
 *  Copyright (C) 1999, Institute for MicroTherapy
 *
 *  This software and supporting documentation were developed by
 *
 *    University of Witten/Herdecke
 *    Department of Radiology and MicroTherapy
 *    Institute for MicroTherapy
 *    Medical computer science
 *    
 *    Universitaetsstrasse 142
 *    44799 Bochum, Germany
 *    
 *    http://www.microtherapy.de/go/cs
 *    mailto:computer.science@microtherapy.de
 *
 *  THIS SOFTWARE IS MADE AVAILABLE,  AS IS,  AND THE INSTITUTE MAKES  NO 
 *  WARRANTY REGARDING THE SOFTWARE, ITS PERFORMANCE, ITS MERCHANTABILITY
 *  OR FITNESS FOR ANY PARTICULAR USE, FREEDOM FROM ANY COMPUTER DISEASES 
 *  OR ITS CONFORMITY TO ANY SPECIFICATION. THE ENTIRE RISK AS TO QUALITY 
 *  AND PERFORMANCE OF THE SOFTWARE IS WITH THE USER.
 *
 *  Author :      $Author: kleber $
 *  Last update : $Date: 2000/03/17 14:07:55 $
 *  Revision :    $Revision: 1.2 $
 *  State:        $State: Exp $
*/

package browser;


import J2Ci.*;
import java.awt.*;
import jToolkit.gui.*;
import main.*;

/**
 * This Thread class asks the database for new instances. If an instance was received
 * the tree will be updated.
 *
 * @author Andreas Schroeter
 * @since 30.04.1999 
*/
public class UpdateThread extends Thread
{
    StudyMan client;
    jDVInterface dvi;
    Toolkit tk;
    
    public UpdateThread (StudyMan sm, jDVInterface dvi)
    {
        client = sm;
        this.dvi = dvi;
        
        tk = Toolkit.getDefaultToolkit();
    }
    
    /**
	 * The Thread-Method for checking for new instances in the database
	*/
	public void run()
	{
	    while (true)
	    {
	        try
	        {
	            Thread.sleep (2000); // wait 2 secs / idle
	        }
	        catch(Exception e)
	        {
	        }
	        
	        synchronized (this)
	        {
	            if (!client.suspendThread)
	            {
	                if (dvi.newInstancesReceived()) 
	                {
	    	            Controller.instance().fireStatus(new StatusLineEvent(this,StatusLineEvent.SET_DES,DSComponentType.BROWSER,"New Instances Arrived!"));
	                    tk.beep();
	                    client.LoadAll(false);	                   
	                }
	            }
	        }
	    }
	}
}

/*
 *  CVS Log
 *  $Log: UpdateThread.java,v $
 *  Revision 1.2  2000/03/17 14:07:55  kleber
 *  chg: Layout texts on GUI
 *
 *  Revision 1.1.1.1  2000/03/13 14:39:52  kleber
 *  init log for first free release
 *
 *  Revision 1.1.1.1  1999/05/14 09:33:10  Schroeter
 *  initial commit of release 1.0
 *
*/
